@echo off
cls

REM SAMPLE BATCH FILE FOR REPLYCHK.EXE
REM BY JAMES GOLDBLOON 1:109/611@FIDONET
REM DEMONSTRATES USE OF ERRORLEVELS
REM 0=NO MESSAGES FORMATTED 1=SOME WERE 2=HALTED ON ERRORS 3=SEMAPHORE

cd\inet
replychk /n=c:\netmail

if errorlevel 3 goto working
if errorlevel 2 goto halted
if errorlevel 1 goto fixed
goto nothing

:nothing
echo No messages were formatted...
goto finished

:halted
echo Program was halted with errors...
goto finished

:fixed
echo Some netmails were processed...
goto finished

:working
echo A copy of this program is already running...
goto finished

:finished
echo Exiting this batch file now!
exit

